Subject: [Tsvwg] SCTP trace file!!

From: "Sumathi.Elangovan" <[email-masked]>
Date: Wed, 1 May 2002 17:32:40 +0100

Hi!
I am currently implementing SCTP version release 2.1. An error model as specified in your patch has been implemented in the sctp model. When I am invoking the "trace-all-oneline" command I get a separate file with all the variables and cwnd variables as specified. Its just I can only see cwnd at specific times but not the whole amount of data. Refer below:

time: 0.00000   saddr: 0  sport: 0  daddr: 2  dport: 0  cwnd: 2816 out: 0 pba: 0 ssthresh: 0 rto: 0.000  srtt: 0.000  rttvar: 0.000 
time: 1.16035   saddr: 0  sport: 0  daddr: 2  dport: 0  cwnd: 4224 out: 2816 pba: 2816 ssthresh: 28160 rto: 1.000  srtt: 0.076  rttvar: 0.038 
time: 1.24822   saddr: 0  sport: 0  daddr: 2  dport: 0  cwnd: 5632 out: 2816 pba: 4224 ssthresh: 28160 rto: 1.000  srtt: 0.078  rttvar: 0.031 
time: 1.33610   saddr: 0  sport: 0  daddr: 2  dport: 0  cwnd: 2816 out: 2816 pba: 4224 ssthresh: 2816 rto: 1.000  srtt: 0.078  rttvar: 0.031 
time: 1.45338   saddr: 0  sport: 0  daddr: 2  dport: 0  cwnd: 4224 out: 2816 pba: 2816 ssthresh: 2816 rto: 1.000  srtt: 0.078  rttvar: 0.031 
time: 1.59395   saddr: 0  sport: 0  daddr: 2  dport: 0  cwnd: 5632 out: 1408 pba: 4224 ssthresh: 2816 rto: 1.000  srtt: 0.085  rttvar: 0.034 

Whats happened to the cwnd data between the time 1.16 and 1.24...and so on ...like TCP why is it not showing the gradual increase in the cwnd after the outtage(drop). Thanks for ur help!!!   

Regards
Sumathi Elangovan

Sumathi Elangovan
Design Engineer
Thales Research Limited
Reading
Tel: 0118 923 8272
Email : [email-masked]

*******************************************************************************
This email and any files transmitted with it are intended solely for the use of
the individual or entity to whom they are addressed and may not be divulged to
any third party without the express permission of the originator.  Any views
expressed in this message are those of the individual sender, except where the
sender specifically states them to be the views of Thales Research Ltd.
*******************************************************************************

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg